/**
 * 统计分析接口
 */
import request from '@/utils/request'

// 按事件类型统计工单
export function getCaseStatisticsByType(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}
// 按事件来源统计工单
export function getCaseStatisticsBySource(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}
// 按满意度统计工单
export function getCaseStatisticsByStatisfied(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}
// 工单总情况统计
export function getCaseStatisticsAll(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}
// 工单年统计
export function getCaseStatisticsByYear(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}
// 工单月统计
export function getCaseStatisticsByMonth(year) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params: {
      year: year
    }
  })
}
// 部门效能统计
export function deptStatistics(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}

